Confluence 6 已经存在的安装配置数据库字符集编码

针对已经存在的 Confluence 安装,如果你安装的 Confluence 版本是 6.4 或者早期的版本,我们在安装的时候没有检查你数据库的字符设置。
如果你的数据库当前没有被配置使用 UTF-8 编码(或者与 UTF-8 相同的编码,例如在 Oracle 中使用的 AL32UTF8 编码):

  • 当你在使用 Confluence 的时候你可能会看到健康检查的警告
  • 你可能在升级 Confluence 后不能启动 Confluence

如果这个问题出现了,你需要修改你已经存在数据库使用的字符集为 UTF-8,有关字符集的修改针对不同的数据修改方法不同。
请参考 Troubleshooting Character Encodings 页面来获得有关字符集问题的处理。

MySQL
请参考 How to Fix the Collation and Character Set of a MySQL Database 页面来获得在你数据库中修改字符的详细信息。你需要确定的字符集是正确的。

Microsoft SQL Server
请参考 How to fix the collation of a Microsoft SQL Server Confluence database 页面来获得在你对数据库字符进行修改的时候需要的详细信息。

PostgreSQL
如果你使用的 PostgreSQL 数据库,最好的办法是重新创建你的数据库。
请参考 Database Setup for PostgreSQL 页面中的内容来如何创建的数据库,并且使用正确的字符集。请参考 Migrating to Another Database 页面中的内容来对数据库进行合并。

Oracle
如果你使用的 Oracle 数据库,最好的办法是重新创建你的数据库。
请参考 Database Setup for Oracle 页面中的内容来如何创建的数据库,并且使用正确的字符集。请参考 Migrating to Another Database 页面中的内容来对数据库进行合并。